DROP TABLE CRST_HZ_CUSTOMER_PROFILES;

CREATE TABLE CRST_HZ_CUSTOMER_PROFILES
(
  CUST_ACCOUNT_PROFILE_ID        NUMBER(15)     NOT NULL,
  LAST_UPDATED_BY                NUMBER(15)     NOT NULL,
  LAST_UPDATE_DATE               DATE           NOT NULL,
  LAST_UPDATE_LOGIN              NUMBER(15),
  CREATED_BY                     NUMBER(15)     NOT NULL,
  CREATION_DATE                  DATE           NOT NULL,
  CUST_ACCOUNT_ID                NUMBER(15)     NOT NULL,
  STATUS                         VARCHAR2(1 BYTE) NOT NULL,
  COLLECTOR_ID                   NUMBER(15)     NOT NULL,
  CREDIT_ANALYST_ID              NUMBER(15),
  CREDIT_CHECKING                VARCHAR2(1 BYTE) NOT NULL,
  NEXT_CREDIT_REVIEW_DATE        DATE,
  TOLERANCE                      NUMBER         NOT NULL,
  DISCOUNT_TERMS                 VARCHAR2(1 BYTE) NOT NULL,
  DUNNING_LETTERS                VARCHAR2(1 BYTE) NOT NULL,
  INTEREST_CHARGES               VARCHAR2(1 BYTE) NOT NULL,
  PREF_FUNCTIONAL_CURRENCY       VARCHAR2(30 BYTE),
  SEND_STATEMENTS                VARCHAR2(1 BYTE) NOT NULL,
  CREDIT_BALANCE_STATEMENTS      VARCHAR2(1 BYTE) NOT NULL,
  CREDIT_HOLD                    VARCHAR2(1 BYTE) NOT NULL,
  PROFILE_CLASS_ID               NUMBER(15),
  SITE_USE_ID                    NUMBER(15),
  CREDIT_RATING                  VARCHAR2(30 BYTE),
  RISK_CODE                      VARCHAR2(30 BYTE),
  STANDARD_TERMS                 NUMBER(15),
  OVERRIDE_TERMS                 VARCHAR2(1 BYTE),
  DUNNING_LETTER_SET_ID          NUMBER(15),
  INTEREST_PERIOD_DAYS           NUMBER,
  PAYMENT_GRACE_DAYS             NUMBER,
  DISCOUNT_GRACE_DAYS            NUMBER,
  STATEMENT_CYCLE_ID             NUMBER(15),
  ACCOUNT_STATUS                 VARCHAR2(30 BYTE),
  PERCENT_COLLECTABLE            NUMBER,
  AUTOCASH_HIERARCHY_ID          NUMBER(15),
  ATTRIBUTE_CATEGORY             VARCHAR2(30 BYTE),
  ATTRIBUTE1                     VARCHAR2(150 BYTE),
  ATTRIBUTE2                     VARCHAR2(150 BYTE),
  ATTRIBUTE3                     VARCHAR2(150 BYTE),
  ATTRIBUTE4                     VARCHAR2(150 BYTE),
  ATTRIBUTE5                     VARCHAR2(150 BYTE),
  ATTRIBUTE6                     VARCHAR2(150 BYTE),
  ATTRIBUTE7                     VARCHAR2(150 BYTE),
  ATTRIBUTE8                     VARCHAR2(150 BYTE),
  ATTRIBUTE9                     VARCHAR2(150 BYTE),
  ATTRIBUTE10                    VARCHAR2(150 BYTE),
  PROGRAM_APPLICATION_ID         NUMBER(15),
  PROGRAM_ID                     NUMBER(15),
  PROGRAM_UPDATE_DATE            DATE,
  REQUEST_ID                     NUMBER(15),
  WH_UPDATE_DATE                 DATE,
  ATTRIBUTE11                    VARCHAR2(150 BYTE),
  ATTRIBUTE12                    VARCHAR2(150 BYTE),
  ATTRIBUTE13                    VARCHAR2(150 BYTE),
  ATTRIBUTE14                    VARCHAR2(150 BYTE),
  ATTRIBUTE15                    VARCHAR2(150 BYTE),
  AUTO_REC_INCL_DISPUTED_FLAG    VARCHAR2(1 BYTE) NOT NULL,
  TAX_PRINTING_OPTION            VARCHAR2(30 BYTE),
  CHARGE_ON_FINANCE_CHARGE_FLAG  VARCHAR2(1 BYTE),
  GROUPING_RULE_ID               NUMBER(15),
  CLEARING_DAYS                  NUMBER(5),
  JGZZ_ATTRIBUTE_CATEGORY        VARCHAR2(30 BYTE),
  JGZZ_ATTRIBUTE1                VARCHAR2(150 BYTE),
  JGZZ_ATTRIBUTE2                VARCHAR2(150 BYTE),
  JGZZ_ATTRIBUTE3                VARCHAR2(150 BYTE),
  JGZZ_ATTRIBUTE4                VARCHAR2(150 BYTE),
  JGZZ_ATTRIBUTE5                VARCHAR2(150 BYTE),
  JGZZ_ATTRIBUTE6                VARCHAR2(150 BYTE),
  JGZZ_ATTRIBUTE7                VARCHAR2(150 BYTE),
  JGZZ_ATTRIBUTE8                VARCHAR2(150 BYTE),
  JGZZ_ATTRIBUTE9                VARCHAR2(150 BYTE),
  JGZZ_ATTRIBUTE10               VARCHAR2(150 BYTE),
  JGZZ_ATTRIBUTE11               VARCHAR2(150 BYTE),
  JGZZ_ATTRIBUTE12               VARCHAR2(150 BYTE),
  JGZZ_ATTRIBUTE13               VARCHAR2(150 BYTE),
  JGZZ_ATTRIBUTE14               VARCHAR2(150 BYTE),
  JGZZ_ATTRIBUTE15               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE1              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE_CATEGORY      VARCHAR2(30 BYTE),
  CONS_INV_FLAG                  VARCHAR2(1 BYTE),
  CONS_INV_TYPE                  VARCHAR2(30 BYTE),
  AUTOCASH_HIERARCHY_ID_FOR_ADR  NUMBER(15),
  LOCKBOX_MATCHING_OPTION        VARCHAR2(30 BYTE),
  OBJECT_VERSION_NUMBER          NUMBER,
  CREATED_BY_MODULE              VARCHAR2(150 BYTE),
  APPLICATION_ID                 NUMBER,
  REVIEW_CYCLE                   VARCHAR2(30 BYTE),
  LAST_CREDIT_REVIEW_DATE        DATE,
  PARTY_ID                       NUMBER(15),
  CREDIT_CLASSIFICATION          VARCHAR2(30 BYTE),
  CUST_ACCOUNT_PROFILE_ID_N      NUMBER(15)
);
